Adds a surface created by lofting curves to the document.
This function will not perform any curve sorting. You must pass in curves in the order you want them lofted.
This function will not adjust the directions of open curves. Use CurveDirectionsMatch and ReverseCurve to adjust the directions of open curves.
This function will not adjust the seams of closed curves. Use CurveSeam to adjust the seam of closed curves.
Rhino.AddLoftSrf (arrObjects [, arrStartPt [, arrEndPt [, intType [, intStyle [, nValue [, blnClosed]]]]]])
arrObjects |
Required. Array. An ordered array of strings identifying the curve objects to loft. |
||||||||||||
arrStartPt |
Optional. Array. The starting point of the loft. |
||||||||||||
arrEndPt |
Optional. Array. The ending point of the loft. |
||||||||||||
intType |
Optional. Number. The type of loft. The default loft type is Normal (0). The possible loft types are as follows:
|
||||||||||||
intStyle |
Optional. Number. The simplify method of the loft. The default value is None (0). The possible loft simplify methods are as follows:
|
||||||||||||
nValue |
Optional. Number. A value based on the specified intStyle. If intStyle=1 (Rebuild), then nValue is the number of control point used to rebuild. If intstyle=1 is specified and this argument is omitted, then curves will be rebuilt using 10 control points. If intStyle=2 (Refit), then nValue is the tolerance used to rebuild. If intstyle=2 is specified and this argument is omitted, then the document's absolute tolerance us used for refitting. |
||||||||||||
blnClosed |
Optional. Boolean. Creates a closed surface, continuing the surface past the last curve around to the first curve. Available when you have selected three shape curves. The default value is not to create a closed surface (False). |
Array |
An array containing the identifiers of the new surface objects if successful. |
Null |
If not successful, or on error. |
Const rhObjectCurve = 4
Dim arrObjects
arrObjects = Rhino.GetObjects("Pick curves to loft", rhObjectCurve )
If IsArray(arrObjects) And UBound(arrObjects) > 0 Then
Rhino.AddLoftSrf arrObjects
End If